# ../scripts/custom/gg_ffa_bots/gg_ffa_bots_config.py

# =============================================================================
# >> IMPORTS
# =============================================================================
# Python Imports
from __future__ import with_statement
from path import path

# GunGame Imports
from gungame51.core.cfg.configs import ConfigContextManager


# =============================================================================
# >> LOAD & UNLOAD
# =============================================================================
def load():

    # Create the cfg file
    with ConfigContextManager(
      path(__file__).parent.split('scripts')[~0][1:]) as config:

        # Create the gg_ffa instance
        with config.cfg_cvar('gg_ffa_bots') as cvar:

            cvar.name = 'FREE FOR ALL BOTS'
            cvar.description.append('Causes Bots to ' +
                'not recognize they are on a team.')
            cvar.options.append('0 = (Disabled) Do not load gg_ffa_bots.')
            cvar.options.append('1 = (Enabled) Load gg_ffa_bots.')
            cvar.default = 0
            cvar.text = 'Causes Bots to attack and kill regardless of team.'
